Issue1082

classification
Title: asm parser can't handle PySourceColor module
Type: crash Severity: major
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: fwierzbicki, pjenvey
Priority: Keywords:

Created on 2008-07-21.04:06:30 by pjenvey, last changed 2008-07-29.20:32:09 by pjenvey.

Files
File name Uploaded Description Edit Remove
PySourceColor.py pjenvey, 2008-07-21.04:06:29
Messages
msg3357 (view) Author: Philip Jenvey (pjenvey) Date: 2008-07-21.04:06:28
The following module exposes a bug in the asm parser. This code imports 
fine in CPython 2.3, 2.5 and Jython trunk

Jython 2.5a1+ (asm:4963:4967M, Jul 19 2008, 15:44:37) 
[Java HotSpot(TM) Client VM (Apple Inc.)] on java1.5.0_13
Type "help", "copyright", "credits" or "license" for more information.
>>> import PySourceColor
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "PySourceColor.py", line 0
SyntaxError: mismatched input  expecting Ellipsis (PySourceColor.py, 
line 0)
msg3363 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-07-28.14:33:11
The line number and columns are now fixed, but the error remains.  The
problem occurs because the parser is unable to deal with continued lines
combined with CRLF type line endings.  The fix may be to properly
implement pep 278 (universal newlines).
msg3365 (view) Author: Philip Jenvey (pjenvey) Date: 2008-07-29.20:32:08
the universal newlines issue was fixed in r5019
History
Date User Action Args
2008-07-29 20:32:09pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg3365
2008-07-28 14:33:12fwierzbickisetmessages: + msg3363
2008-07-21 04:06:30pjenveycreate